
FROM node:18-alpine

WORKDIR /app

COPY package.json ./

RUN npm install

RUN npm install --save-dev

# Build the Next.js app  
RUN npm run build  

# Expose the port the app will run on  
EXPOSE 3000  

COPY . .

CMD ["npm", "run", "dev"]